var addInventory = {
    settings: {
        ajaxUrl: ''
    },
    init: function() {
        addInventory.initDataTable();
    },
    initDataTable: function() {

        var callBack = function() {
        };

        var datalist = jQ('#addInventory-datalist').DataTable({
            
            'processing': true,
            'serverSide': true,
            'ajax': {
                'url': addInventory.settings.ajaxUrl,
                'data': function(d) {
                    // d.status = jQ('#addInventoryFilter-status').val();
                    d.url = global.settings.url;
                }
            },
            'columnDefs': [
                { 'orderable': false, 'targets': 4 },
                { 'searchable': false, 'targets': 4 }
            ],
            drawCallback: function() {
                callBack();
            },
            responsive: {
                details: {
                    renderer: function( api,rowIdx ) {
                        return global.dataTableResponsiveCallBack(api, rowIdx, callBack);
                    }
                }
            }
        });

        jQ('#addInventoryFilter-status').change(function(){
            datalist.draw();
        });

        jQ('.content-container').removeClass('has-loading'); jQ('.content-container-content').removeClass('hide');
    }
};